package com.huiju.estateagents.redpack.entity;

import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 红包助力活动 
 * </p>
 *
 * @author fxf
 * @since 2020-06-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaRedPacket implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 活动ID
     */
    private String activityId;

    /**
     * 活动名称
     */
    private String name;

    /**
     * 活动开始时间
     */
    private LocalDateTime startDate;

    /**
     * 活动结束时间
     */
    private LocalDateTime endDate;

    /**
     * 活动结束提示
     */
    private String activityEndTip;

    /**
     * qrcode
     */
    private String qrcode;

    /**
     * 上榜人数限制
     */
    private Integer topLimitPersons;

    /**
     * 查看楼盘按钮位置 index首页,help助力页,rule规则页,多个逗号连接
     */
    private String buildingShowPos;

    /**
     * 关联楼盘
     */
    private String buildingId;

    /**
     * 楼盘名称
     */
    private String buildingName;

    /**
     * 生成海报按钮位置
     */
    private String posterShowPos;

    /**
     * 报名字段 json
     */
    private String joinFields;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 状态
     */
    private Integer status;


}
