package com.huiju.estateagents.redpack.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.redpack.entity.TaOrgOrder;
import com.huiju.estateagents.redpack.entity.TaOrgRefundApplication;

/**
 * <p>
 * 组织订单表  服务类
 * </p>
 *
 * @author fxf
 * @since 2020-06-03
 */
public interface ITaOrgOrderService extends IService<TaOrgOrder> {
    /**
     * 订单退款
     * @param id
     * @param refundApplication
     * @param userId
     * @return
     */
    ResponseBean refundOrder(String id, TaOrgRefundApplication refundApplication, Integer userId);


    /**
     * 订单驳回
     * @param id
     * @param refundApplication
     * @param userId
     * @return
     */
    ResponseBean rejectOrder(String id, TaOrgRefundApplication refundApplication, Integer userId);

    /**
     * 订单列表
     * @param pg
     * @param orderType
     * @return
     */
    IPage<TaOrgOrder> listByCondition(IPage<TaOrgOrder> pg, String orderType, Integer orgId);
}
